version: '3.8'

services:
  postgres-perf:
    image: postgres:latest
    container_name: postgres-perf-test
    restart: unless-stopped
    ports:
      - "16289:5432"
    environment:
      POSTGRES_USER: erp_pgsql
      POSTGRES_PASSWORD: erp_2025
      POSTGRES_DB: junhong_cmp_test
      TZ: Asia/Shanghai
    volumes:
      - /mnt/data1/database/pgsql/pgdata_perf:/var/lib/postgresql/data
    shm_size: '18g'
    deploy:
      resources:
        limits:
          memory: 32G
